[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| BasicImageIterator< PIXELTYPE, ITERATOR > Class Template Reference |

`#include <vigra/basicimage.hxx>`

Inheritance diagram for BasicImageIterator< PIXELTYPE, ITERATOR >:

List of all members.

## Detailed Description

### template<class PIXELTYPE, class ITERATOR>
class vigra::BasicImageIterator< PIXELTYPE, ITERATOR >

Implementation of the standard image iterator for vigra::BasicImage. See vigra::ImageIterator for documentation.

#include <vigra/basicimage.hxx> Namespace: vigra

Examples:
  invert_explicitly.cxx, and profile.cxx.

The documentation for this class was generated from the following file:

- vigra/basicimage.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)